NewWacht Bench is live — AI-assisted development for Wacht

Add Organization Domain

POST
/organizations/{id}/domains

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Path Parameters

id*string

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

domain*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://{deployment_host}/organizations/string/domains" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'domain=string'
{
  "status": 0,
  "message": "string",
  "data": {
    "id": "string",
    "organization_id": "string",
    "fqdn": "string",
    "verified": true,
    "verification_dns_record_type": "string",
    "verification_dns_record_name": "string",
    "verification_dns_record_data": "string",
    "verification_attempts": 0,
    "created_at": "string",
    "updated_at": "string"
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}